---
metadata:
  - name: generator
    content: Diplodoc Platform v5.61.0
alternate:
  - https://yandex.ru/dev/kit/ru/openapi/Dostavka/GetDeliveryLabelFormats.md
  - href: https://yandex.ru/dev/kit/ru/openapi/Dostavka/GetDeliveryLabelFormats.md
    type: text/markdown
    title: Markdown version
  - href: https://yandex.ru/dev/kit/ru/llms.txt
    rel: describedby
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/dev/kit/ru/llms.txt

<div class="openapi">

# Получение поддерживаемых размеров ярлыков доставки

<!-- markdownlint-disable-file -->

Возвращает размеры ярлыков доставки, которые умеют печатать указанные службы доставки.

Значение поля `type` используют в `label_format` при запросе ярлыков через `GET /v1/orders/{id}/delivery-labels`.

Дубликаты служб во входном списке игнорируются. Порядок служб в ответе фиксирован платформой — он не алфавитный.
Чтобы найти нужную службу, используйте поле `delivery_service`.

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.kit.yandex.net/v1/delivery/label-formats
```

</div>

</div>

</div>

### Query parameters

#|
|| **Name** | **Description** ||
||

_delivery_service_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [DeliveryServiceType](#entity-DeliveryServiceType)[]

Службы доставки, для которых нужны размеры ярлыков.

_Min items:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### DeliveryServiceType {#entity-DeliveryServiceType}

Служба доставки:
- `YANDEX_DELIVERY` — Яндекс Доставка.
- `CDEK` — СДЭК.
- `META_SHIP_DALLI` — Dalli через MetaShip.
- `META_SHIP_RUSSIAN_POST` — Почта России через MetaShip.
- `META_SHIP_PECOM` — ПЭК через MetaShip.
- `OZON` — Ozon Доставка.
- `MERCHANT_SHIP` — собственная служба доставки магазина.
- `YANDEX_MARKET_FBO` — Фулфилмент Яндекс Маркета.


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `YANDEX_DELIVERY`, `CDEK`, `META_SHIP_DALLI`, `META_SHIP_RUSSIAN_POST`, `META_SHIP_PECOM`, `OZON`, `MERCHANT_SHIP`, `YANDEX_MARKET_FBO`

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

Поддерживаемые размеры ярлыков доставки.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "services": [
    {
      "delivery_service": "YANDEX_DELIVERY",
      "mode": "EXPLICIT_FORMATS",
      "formats": [
        {
          "type": "210x297",
          "title": "A4, 210×297 мм",
          "preselected": true
        }
      ]
    }
  ]
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_services_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [DeliveryServiceLabelFormats](#entity-DeliveryServiceLabelFormats)[]

Службы доставки в фиксированном порядке отображения, заданном платформой.
Порядок не алфавитный и меняется при добавлении новых служб — поиск службы выполняйте по полю `delivery_service`.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "delivery_service": "YANDEX_DELIVERY",
    "mode": "EXPLICIT_FORMATS",
    "formats": [
      {
        "type": "210x297",
        "title": "A4, 210×297 мм",
        "preselected": true
      }
    ]
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### DeliveryLabelFormatMode {#entity-DeliveryLabelFormatMode}

Как служба доставки работает с размерами ярлыков:
- `EXPLICIT_FORMATS` — размер можно выбрать из `formats`.
- `PROVIDER_DEFAULT` — служба печатает в собственном размере, `formats` пуст.
- `NOT_SUPPORTED` — служба не печатает ярлыки, `formats` пуст.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `EXPLICIT_FORMATS`, `PROVIDER_DEFAULT`, `NOT_SUPPORTED`

</div>

<div class="openapi-entity">

### DeliveryLabelFormatType {#entity-DeliveryLabelFormatType}

Размер ярлыка доставки в миллиметрах.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `210x297`, `148x210`, `105x148`, `100x150`, `74x105`, `75x120`, `120x75`, `58x60`, `58x40`

</div>

<div class="openapi-entity">

### DeliveryLabelFormat {#entity-DeliveryLabelFormat}

Размер ярлыка доставки.

#|
|| **Name** | **Description** ||
||

_preselected_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Размер, предвыбранный в интерфейсе Яндекс KITᵝ, — подсказка для UI.

Если `label_format` не указан, предвыбранный размер не повлияет на печать.
Служба доставки использует свой формат по умолчанию — он может отличаться от предвыбранного.
Чтобы получить ярлык конкретного размера, передайте параметр `label_format`.
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Название размера для показа пользователю.

_Example:_{.json-schema-reset .json-schema-example} `A4, 210×297 мм`
{.table-cell}
||
||

_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [DeliveryLabelFormatType](#entity-DeliveryLabelFormatType)

Размер ярлыка доставки в миллиметрах.

_Enum:_{.json-schema-reset .json-schema-value} `210x297`, `148x210`, `105x148`, `100x150`, `74x105`, `75x120`, `120x75`, `58x60`, `58x40`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "type": "210x297",
  "title": "A4, 210×297 мм",
  "preselected": true
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### DeliveryServiceLabelFormats {#entity-DeliveryServiceLabelFormats}

Размеры ярлыков одной службы доставки.

#|
|| **Name** | **Description** ||
||

_delivery_service_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [DeliveryServiceType](#entity-DeliveryServiceType)

Служба доставки:
- `YANDEX_DELIVERY` — Яндекс Доставка.
- `CDEK` — СДЭК.
- `META_SHIP_DALLI` — Dalli через MetaShip.
- `META_SHIP_RUSSIAN_POST` — Почта России через MetaShip.
- `META_SHIP_PECOM` — ПЭК через MetaShip.
- `OZON` — Ozon Доставка.
- `MERCHANT_SHIP` — собственная служба доставки магазина.
- `YANDEX_MARKET_FBO` — Фулфилмент Яндекс Маркета.


_Enum:_{.json-schema-reset .json-schema-value} `YANDEX_DELIVERY`, `CDEK`, `META_SHIP_DALLI`, `META_SHIP_RUSSIAN_POST`, `META_SHIP_PECOM`, `OZON`, `MERCHANT_SHIP`, `YANDEX_MARKET_FBO`
{.table-cell}
||
||

_formats_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [DeliveryLabelFormat](#entity-DeliveryLabelFormat)[]

Доступные размеры ярлыка. Пуст, если `mode` не `EXPLICIT_FORMATS`.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "type": "210x297",
    "title": "A4, 210×297 мм",
    "preselected": true
  }
]
```

{% endcut %}
{.table-cell}
||
||

_mode_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [DeliveryLabelFormatMode](#entity-DeliveryLabelFormatMode)

Как служба доставки работает с размерами ярлыков:
- `EXPLICIT_FORMATS` — размер можно выбрать из `formats`.
- `PROVIDER_DEFAULT` — служба печатает в собственном размере, `formats` пуст.
- `NOT_SUPPORTED` — служба не печатает ярлыки, `formats` пуст.

_Enum:_{.json-schema-reset .json-schema-value} `EXPLICIT_FORMATS`, `PROVIDER_DEFAULT`, `NOT_SUPPORTED`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "delivery_service": "YANDEX_DELIVERY",
  "mode": "EXPLICIT_FORMATS",
  "formats": [
    {
      "type": "210x297",
      "title": "A4, 210×297 мм",
      "preselected": true
    }
  ]
}
```

{% endcut %}

</div>

</div>

<div class="openapi__response__code__400">

## 400 Bad Request

Некорректный запрос.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "VALIDATION_ERROR",
  "message": "Invalid input",
  "trace_id": "00000000000000000000000000000000"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_code_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `VALIDATION_ERROR`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `Invalid input`
{.table-cell}
||
||

_trace_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Уникальный идентификатор запроса для отладки.

_Example:_{.json-schema-reset .json-schema-example} `00000000000000000000000000000000`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__401">

## 401 Unauthorized

Не авторизован.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "VALIDATION_ERROR",
  "message": "Invalid input",
  "trace_id": "00000000000000000000000000000000"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_code_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `VALIDATION_ERROR`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `Invalid input`
{.table-cell}
||
||

_trace_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Уникальный идентификатор запроса для отладки.

_Example:_{.json-schema-reset .json-schema-example} `00000000000000000000000000000000`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__500">

## 500 Internal Server Error

Внутренняя ошибка сервера.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "VALIDATION_ERROR",
  "message": "Invalid input",
  "trace_id": "00000000000000000000000000000000"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_code_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `VALIDATION_ERROR`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `Invalid input`
{.table-cell}
||
||

_trace_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Уникальный идентификатор запроса для отладки.

_Example:_{.json-schema-reset .json-schema-example} `00000000000000000000000000000000`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.